
        /* ----- POPPINS FONT Link ----- */
        @import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700&display=swap');

        /* ----- VARIABLES ----- */
        :root{
            --body-color: rgb(250, 250, 250);
            --color-white: rgb(255, 255, 255);
        
            --text-color-second: rgb(68, 68, 68);
            --text-color-third: rgb(30, 159, 171);
        
            --first-color: rgb(110, 87, 224);
            --first-color-hover: rgb(40, 91, 212);
        
            --second-color: rgb(0, 201, 255);
            --third-color: rgb(192, 166, 49);
            --first-shadow-color: rgba(0, 0, 0, 0.1);
        
        }
        
        /* ----- BASE ----- */
        *{
            margin: 0;
            padding: 0;
            box-sizing: border-box;
            font-family: 'Poppins', sans-serif;
        }
        
        /* ----- SMOOTH SCROLL ----- */
        html{
            scroll-behavior: smooth;
        }
        
        /* ----- CHANGE THE SCROLL BAR DESIGN ----- */
        ::-webkit-scrollbar{
            width: 10px;
            border-radius: 25px;
        }
        ::-webkit-scrollbar-track{
            background: #f1f1f1;
        }
        ::-webkit-scrollbar-thumb{
            background: #ccc;
            border-radius: 30px;
        }
        ::-webkit-scrollbar-thumb:hover{
            background: #bbb;
        }
        
        
        /* ---##-- REUSABLE CSS --##--- */
        
        /* ----- GLOBAL BUTTON DESIGN ----- */
        .btn{
            font-weight: 500;
            padding: 12px 20px;
            background: #efefef;
            border: none;
            border-radius: 10px;
            cursor: pointer;
            transition: .4s;
        }
        .btn>i{
            margin-left: 10px;
        }
        .btn:hover{
            background: var(--second-color);
            color: var(--color-white);
        }
        
        /* ----- GLOBAL ICONS DESIGN ----- */
        i{
            font-size: 16px;
        }
        
        /* ------- BASE -------- */
        body{
            background: var(--body-color);
        }
        .container{
            width: 100%;
            position: relative;
        }
        
        /* ----- NAVIGATION BAR ----- */
        nav{
            position: fixed;
            display: flex;
            justify-content: space-between;
            width: 100%;
            height: 90px;
            line-height: 90px;
            background: var(--body-color);
            padding: 0 20px;
            transition: .3s;
            z-index: 100;
        }
        .nav-logo{
           position: relative;
        }
        .nav-name{
            font-size: 30px;
            font-weight: 600;
            height: 70px;
            color: var(--text-color-third);
        }
        .nav-logo span{
            position: absolute;
            top: -15px;
            right: -20px;
            font-size: 5em;
            color: var(--text-color-second);
        }
        .nav-menu, .nav_menu_list{
            display: flex;
        }
        .nav-menu .nav_list{
            list-style: none;
            position: relative;
        }
        .nav-link{
            text-decoration: none;
            color: var(--text-color-second);
            font-weight: 500;
            padding-inline: 15px;
            margin-inline: 20px;
        }
        .nav-menu-btn{
            display: none;
        }
        .nav-menu-btn i{
            font-size: 28px;
            cursor: pointer;
        }
        .active-link{
            position: relative;
            color: var(--first-color);
            transition: .3;
        }
        .active-link::after{
            content: '';
            position: absolute;
            left: 50%;
            bottom: -15px;
            transform: translate(-50%, -50%);
            width: 5px;
            height: 5px;
            background: var(--first-color);
            border-radius: 50%;
        }
        
        
        /* ----- WRAPPER DESIGN ----- */
        .wrapper{
            padding-inline: 10vw;
        }
        
        /* ----- FEATURED BOX ----- */
        .featured-box{
            position: relative;
            display: flex;
            height: 100vh;
            min-height: 700px;
        }
        
        /* ----- FEATURED TEXT BOX ----- */
        .featured-text{
            position: relative;
            display: flex;
            justify-content: center;
            align-content: center;
            min-height: 80vh;
            flex-direction: column;
            width: 50%;
            padding-left: 20px;
        }
        .featured-text-card span{
            background: var(--third-color);
            color: var(--color-white);
            padding: 3px 8px;
            font-size: 12px;
            border-radius: 5px;
        }
        .featured-name{
            font-size: 50px;
            font-weight: 600;
            color: var(--text-color-second);
            margin-block: 20px;
        }
        .typedText{
            text-transform: capitalize;
            color: var(--text-color-third);
        }
        .featured-text-info{
            font-size: 15px;
            margin-bottom: 30px;
            color: var(--text-color-second);
        }
        .featured-text-btn{
            display: flex;
            gap: 20px;
        }
        .featured-text-btn>.blue-btn{
            background: var(--first-color);
            color: var(--color-white);
        }
        .featured-text-btn>.blue-btn:hover{
            background: var(--first-color-hover);
        }
        .social_icons{
            display: flex;
            margin-top: 5em;
            gap: 30px;
        }
        .icon{
            display: flex;
            justify-content: center;
            align-items: center;
            width: 40px;
            height: 40px;
            border-radius: 50%;
            box-shadow: 0px 2px 5px 0px rgba(0, 0, 0, 0.25);
            cursor: pointer;
        }
        .icon:hover{
            color: var(--first-color);
        }
        
        /* ----- FEATURED IMAGE BOX ----- */
        .featured-image{
            display: flex;
            justify-content: right;
            align-content: center;
            min-height: 80vh;
            width: 50%;
        }
        .image{
            margin: auto 0;
            width: 380px;
            height: 380px;
            border-radius: 55% 45% 55% 45%;
            overflow: hidden;
            animation: imgFloat 7s ease-in-out infinite;
        }
        .image img{
            width: 380px;
            height: 380px;
            object-fit: cover;
        }
        @keyframes imgFloat {
            50%{
                transform: translateY(10px);
                border-radius: 45% 55% 45% 55%;
            }
        }
        .scroll-btn{
           position: absolute;
           bottom: 0;
           left: 50%;
           translate: -50%;
           display: flex;
           justify-content: center;
           align-items: center;
           width: 150px;
           height: 50px;
           gap: 5px;
           text-decoration: none;
           color: var(--text-color-second);
           background: var(--color-white);
           border-radius: 30px;
           box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.25);
        }
        .scroll-btn i{
            font-size: 20px;
        }
        
        /* ----- MAIN BOX ----- */
        .section{
            padding-block: 5em;
        }
        .row{
            display: flex;
            justify-content: space-between;
            width: 100%;
            gap: 50px;
        }
        .col{
            display: flex;
            width: 50%;
        }
        
        /* -- ## --- RESUABLE CSS -- ## -- */
        .top-header{
            text-align: center;
            margin-bottom: 2em;
        }
        .top-header h1{
            font-weight: 600;
            color: var(--text-color-second);
            margin-bottom: 10px;
        }
        .top-header span{
            color: #999;
        }
        h3{
            font-size: 20px;
            font-weight: 600;
            color: var(--text-color-second);
            margin-bottom: 15px;
        }
        
        /* ----- ABOUT INFO ----- */
        .about-info{
            position: relative;
            display: flex;
            align-items: center;
            flex-direction: column;
            padding-block: 30px 70px;
            padding-inline: 20px;
            width: 100%;
            background: var(--color-white);
            box-shadow: 1px 8px 10px 2px var(--first-shadow-color);
            border-radius: 20px;
        }
        
        .about-info p{
            text-align: center;
            font-size: 15px;
            color: #777;
        }
        
        .about-btn button{
            position: absolute;
            right: 20px;
            bottom: 20px;
            background: var(--first-color);
            color: var(--color-white);
            border-radius: 30px;
        }
        .about-btn button:hover{
            background: var(--first-color-hover);
        }
        
        /* ----- ABOUT / SKILLS BOX ----- */
        .skills-box{
            margin: 10px;
        }
        .skills-header{
            margin-bottom: 30px;
        }
        .skills-list{
            display: flex;
            flex-wrap: wrap;
            gap: 5px;
        }
        .skills-list span{
            font-size: 14px;
            background: var(--first-color);
            color: var(--color-white);
            padding: 2px 10px;
            border-radius: 5px;
        }
        
        /* ----- PROJECTS BOX ----- */
        .project-container{
            display: flex;
            width: 100%;
            justify-content: space-between;
            gap: 20px;
            flex-wrap: wrap;
        }
        .project-box{
            position: relative;
            display: flex;
            justify-content: center;
            align-items: center;
            flex-direction: column;
            width: 30%;
            height: 250px;
            background: var(--color-white);
            border-radius: 20px;
            box-shadow: 1px 8px 10px 2px var(--first-shadow-color);
            overflow: hidden;
        }
        .project-box>i{
            font-size: 50px;
            color: #00B5E7;
            margin-bottom: 25px;
        }
        .project-box label{
            font-size: 15px;
            color: #777;
        }
        .project-box::after, .contact-info::after{
            content: "";
            position: absolute;
            bottom: -100%;
            background: var(--second-color);
            width: 100%;
            height: 100%;
            transition: .4s;
            z-index: 1;
        }
        .project-box:hover.project-box::after,
        .contact-info:hover.contact-info::after{
            bottom: 0;
        }
        .project-box:hover.project-box i,
        .project-box:hover.project-box>h3,
        .project-box:hover.project-box>label{
            color: var(--color-white);
            z-index: 2;
        }
        
        /* ----- CONTACT BOX ----- */
        .contact-info{
            position: relative;
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            padding: 20px 30px;
            width: 100%;
            height: 315px;
            background: var(--second-color);
            border-radius: 10px;
            box-shadow: 1px 8px 10px 2px var(--first-shadow-color);
            overflow: hidden;
        }
        .contact-info>h2{
            color: var(--color-white);
            margin-bottom: 20px;
        }
        .contact-info>p{
            display: flex;
            align-items: center;
            gap: 10px;
            color: var(--color-white);
            margin-block: 5px;
        }
        .contact-info p>i{
            font-size: 18px;
        }
        .contact-info::after{
            background: var(--color-white);
        }
        .contact-info:hover.contact-info h2,
        .contact-info:hover.contact-info p,
        .contact-info:hover.contact-info i{
            color: #777;
            z-index: 2;
        }
        
        /* ----- CONTACT FORM ----- */
        .form-control{
            display: flex;
            flex-direction: column;
            gap: 10px;
            width: 100%;
        }
        .form-inputs{
            display: flex;
            gap: 10px;
            width: 100%;
        }
        .input-field{
            width: 50%;
            height: 55px;
            background: transparent;
            border: 2px solid #AAA;
            border-radius: 10px;
            padding-inline: 20px;
            outline: none;
        }
        textarea{
            width: 100%;
            height: 250px;
            background: transparent;
            border: 2px solid #AAA;
            border-radius: 10px;
            padding: 15px 20px;
            outline: none;
            resize: none;
        }
        .form-button>.btn{
            display: flex;
            align-items: center;
            justify-content: center;
            background: var(--second-color);
            color: var(--color-white);
        }
        .form-button>.btn:hover{
            background: #00B5E7;
        }
        .form-button i{
            font-size: 18px;
            rotate: -45deg;
        }
        
        /* ----- FOOTER BOX ----- */
        footer {
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            padding: 40px 20px;
            background: #F8F8F8;
          }
          
          .top-footer p {
            font-size: 25px;
            font-weight: 600;
          }
          
          .middle-footer,
          .footer-social-icons {
            display: flex;
            justify-content: center;
          }
          
          .middle-footer .footer-menu {
            flex-wrap: wrap; /* Wrap menu items on smaller screens */
          }
          
          .footer_menu_list {
            list-style: none;
            margin-inline: 10px; /* Adjust spacing between menu items */
          }
          
          .footer_menu_list a {
            text-decoration: none;
            color: var(--text-color-second);
            font-weight: 500;
          }
          
          .footer-social-icons {
            gap: 20px; /* Adjust spacing between social icons */
          }
          
          .bottom-footer {
            font-size: 14px;
            margin-top: 10px;
            text-align: center; /* Center copyright text */
        }
        
        
        .row {
            display: flex;
            flex-wrap: wrap;
        }
        
        .col-12 {
            width: 100%;
        }
        
        @media screen and (max-width: 768px) {
            .top-footer p {
              font-size: 20px;
              margin-bottom: 10px;
            }
            .about-info {
                padding-block: 20px 40px;
                padding-inline: 15px;
            }
        
            .about-info p {
                font-size: 14px;
            }
        
            .top-header h1 {
                font-size: 24px;
            }
          }
        /* ----- MEDIA QUERY == 1024px / RESPONSIVE ----- */
        @media only screen and (max-width: 1024px){
            .featured-text{
                padding: 0;
            }
            .image, .image img{
                width: 320px;
                height: 320px;
            }
        }
        
        /* ----- MEDIA QUERY == 900px / RESPONSIVE ----- */
        @media only screen and (max-width: 900px) {
            .nav-button{
                display: none;
            }
            .nav-menu.responsive{
                left: 0;
            }
            .nav-menu{
                position: fixed;
                top: 80px;
                left: -100%;
                flex-direction: column;
                justify-content: center;
                align-items: center;
                background: rgba(255, 255, 255, 0.7);
                backdrop-filter: blur(20px);
                width: 100%;
                min-height: 450px;
                height: 90vh;
                transition: .3s;
            }
            .nav_menu_list{
                flex-direction: column;
            }
            .nav-menu-btn{
                display: flex;
                align-items: center;
                justify-content: center;
            }
            .featured-box{
                flex-direction: column;
                justify-content: center;
                height: 100vh;
            }
            .featured-text{
                width: 100%;
                order: 2;
                justify-content: center;
                align-content: flex-start;
                min-height: 60vh;
            }
            .social_icons{
                margin-top: 2em;
            }
            .featured-image{
                order: 1;
                justify-content: center;
                min-height: 150px;
                width: 100%;
                margin-top: 65px;
            }
            .image, .image img{
                width: 150px;
                height: 150px;
            }
            .row{
                display: flex;
                flex-direction: column;
                justify-content: center;
                gap: 50px;
            }
            .col{
                display: flex;
                justify-content: center;
                width: 100%;
            }
            .about-info, .contact-info{
                width: 100%;
            }
            .project-container{
                justify-content: center;
            }
            .project-box{
                width: 80%;
            }
        
        }
        
        /* ----- MEDIA QUERY == 540px / RESPONSIVE ----- */
        
        @media only screen and (max-width: 540px){
            .featured-name{
                font-size: 40px;
            }
            .project-box{
                width: 100%;
            }
            .form-inputs{
                flex-direction: column;
            }
            .input-field{
                width: 100%;
            }
        }
        
        @media only screen and (max-width: 480px) {
            .about-info {
                padding-block: 15px 30px;
                padding-inline: 10px;
            }
        
            .about-info p {
                font-size: 13px;
            }
        
            .top-header h1 {
                font-size: 20px;
            }
        }
        
        .container-2 {
            display: flex;
            flex-direction: column;
            align-items: center;
        }
        
        .product-section {
            background-color: #F8F8F8;
            border-radius: 10px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
            margin-bottom: 20px;
            padding: 20px;
            width: 80%;
        }
        
        .product-section h2 {
            margin-top: 0;
        }
        
        .web-page {
            display: flex;
            flex-direction: column; 
            align-items: center;
        }
        
        .web-page img {
            border: 1px solid #ddd;
            border-radius: 5px;
            max-width: 100%;
            margin-bottom: 10px; 
        }
        
        .web-page p {
            max-width: 90%;
            text-align: center;
        }
        
        .language-switcher {
            display: flex;
            align-items: center;
            justify-content: center;
        }
        
        .lang-btn {
            width: 60px;
            height: 30px;
            border: none;
            border-radius: 15px;
            margin: 0 5px;
            cursor: pointer;
            transition: background-color 0.3s, color 0.3s;
        }
        
        #langEN.active {
            background-color: blue;
            color: white;
        }
        
        #langID.active {
            background-color: yellow;
            color: black;
        }
        
        #langEN {
            background-color: #ddd;
            color: black;
        }
        
        #langID {
            background-color: #ddd;
            color: black;
        }
        
        
                
        .switch {
          margin-left: 10px; 
          position: absolute;
          top: 50%;
          transform: translateY(-50%);
          width: 40px;
          height: 20px;
          cursor: pointer;
          flex-shrink: 0;
        }
        
        .switch input {
            opacity: 0; 
            width: 0;
            height: 0;
        }
        
        .slider {
            position: absolute;
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            background-color: #ccc;
            transition: .4s;
            border-radius: 20px; /* Sesuaikan radius */
        }
        
        .slider:before {
            position: absolute;
            content: "";
            height: 16px; /* Ukuran lingkaran lebih kecil */
            width: 16px; /* Ukuran lingkaran lebih kecil */
            left: 2px; /* Posisi kiri lebih kecil */
            bottom: 2px; /* Posisi bawah lebih kecil */
            background-color: white;
            transition: .4s;
            border-radius: 50%;
        }
        
        input:checked + .slider {
            background-color: #2196F3;
        }
        
        input:checked + .slider:before {
            transform: translateX(20px); /* Gerakan lebih kecil */
        }
        
        @media (max-width: 768px) {
          .switch {
            position: relative;
            bottom: 50px; /* Ubah nilai bottom sesuai kebutuhan */
            left: 50%;
            transform: translateX(-68%);
            width: 40px;
            height: 20px;
            cursor: pointer;
            flex-shrink: 0;
          }
        }
        
        .navbar {
          display: flex;
          justify-content: flex-end;
          padding-right: 20px;
        }
        
        .dropdown {
          position: relative;
          display: inline-block;
        }
        
        .dropdown-btn {
          background-color: #333;
          color: white;
          padding: 10px 20px;
          font-size: 16px;
          border: none;
          cursor: pointer;
        }
        
        .dropdown-btn:hover {
          background-color: #444;
        }
        
        .dropdown-content {
          display: none;
          position: absolute;
          right: 0;
          background-color: #444;
          min-width: 120px; /* Sedikit diperbesar dari 100px */
          box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.2);
          z-index: 1;
        }
        
        .dropdown-content a {
          color: white;
          padding: 6px 10px; /* Sedikit diperbesar dari 4px 8px */
          text-decoration: none;
          display: block;
          font-size: 13px; /* Sedikit diperbesar dari 12px */
          line-height: 1.3; /* Sedikit ditingkatkan dari 1.2 */
        }
        
        .dropdown-content a:hover {
          background-color: #555;
        }
        
        .dropdown:hover .dropdown-content {
          display: block;
        }